diff --git a/src/libserver/milter.c b/src/libserver/milter.c
index 5351842897..0d4c10db15 100644
--- a/src/libserver/milter.c
+++ b/src/libserver/milter.c
@@ -462,7 +462,7 @@ rspamd_milter_process_command (struct rspamd_milter_session *session,
 				rspamd_ftok_t *name_tok, *value_tok;
 				const guchar *zero_val;
 
-				zero_val = memchr (zero + 1, '\0', cmdlen - (end - zero - 1));
+				zero_val = memchr (zero + 1, '\0',  end - zero - 1);
 
 				if (zero_val != NULL && end > zero_val) {
 					name = rspamd_fstring_new_init (pos, zero - pos);
